Issue #6745 has been updated by oscardelben (Oscar Del Ben).


You can install Ruby yourself:

cd ruby
autoconf
configure --prefix=/tmp
make & make install
----------------------------------------
Bug #6745: Segmentation fault in postgresql_adapter.rb:607
https://bugs.ruby-lang.org/issues/6745#change-28161

Author: garysweaver (Gary Weaver)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-darwin11.4.0]


I can reproduce the bug, but it only occurs in a script that I can't share. Fails each time in 1.9.3-p194. Attempted to get RVM's ruby-head running locally, but brew's openssl install is not brave enough to update OS X's and attempt to have it use the openssl that rvm can provide to build didn't work, so unfortunately not tested in latest Ruby. Sorry if this is a waste of time, but thought I'd pass it on. Included both dumps/logs from both crashes. Hope it helps.


-- 
http://bugs.ruby-lang.org/